What a quoted price is made of, where the supplier broke it down. No part link, deliberately: nothing has been fitted yet, so one would be a guess recorded as a fact.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/work_order_quote_lines \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"amount_currency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"quantity": 123,
"unit_amount": 123,
"unit_amount_currency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"work_order_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.assetinfinity.ai/api/work_order_quote_lines"
payload = {
"amount": 123,
"amount_currency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"quantity": 123,
"unit_amount": 123,
"unit_amount_currency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"work_order_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
amount_currency_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kind: '<string>',
quantity: 123,
unit_amount: 123,
unit_amount_currency_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
work_order_quote_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.assetinfinity.ai/api/work_order_quote_lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work order execution
What a quoted price is made of, where the supplier broke it down. No part link, deliberately: nothing has been fitted yet, so one would be a guess recorded as a fact.
PATCH
/
work_order_quote_lines
What a quoted price is made of, where the supplier broke it down. No part link, deliberately: nothing has been fitted yet, so one would be a guess recorded as a fact.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
work_order_quote_lines
What a quoted price is made of, where the supplier broke it down. No part link, deliberately: nothing has been fitted yet, so one would be a guess recorded as a fact.
Note:
This is a Foreign Key to asset_cost_to_keep.currency_id.
Maximum string length:
500Note: This is a Primary Key.
Maximum string length:
10Note:
This is a Foreign Key to asset_cost_to_keep.currency_id.
Note:
This is a Foreign Key to work_order_quotes.id.
Response
204
No Content
⌘I

